
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Eclipse RCP：用于构建平台的平台 / iVAN</title>

    <meta name="description" content="Eclipse RCP：用于构建平台的平台 技术存在着一定的周期性.在经历了一段由瘦客户端统治的时期后,富客户端技术开始了它的回归.大量的组织正在将它们的应用程序构建成富客户端,其中许多组织将其应用程序建立在RCP(Eclipse Rich Client Platform)的基础上.术语富客户端首先表明此应用程序为用户提供丰富的体验;其次,它还表明此应用程序是某台服务器的客户端.虽然富客户端并不必须具有对应的服务器组件,但是它们通常会有对应的服务器组件. 富客户端在很多方面与胖客户端类似.它们两者都能为用户带来本地桌面体验,并提供那些通过">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Eclipse RCP：用于构建平台的平台</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>技术存在着一定的周期性。在经历了一段由瘦客户端统治的时期后，富客户端技术开始了它的回归。大量的组织正在将它们的应用程序构建成富客户端，其中许多组织将其应用程序建立在RCP(Eclipse Rich Client Platform)的基础上。术语富客户端首先表明此应用程序为用户提供丰富的体验;其次，它还表明此应用程序是某台服务器的客户端。虽然富客户端并不必须具有对应的服务器组件，但是它们通常会有对应的服务器组件。</p>
<p>富客户端在很多方面与胖客户端类似。它们两者都能为用户带来本地桌面体验，并提供那些通过瘦客户端技术很难、不方便或不可能交付的信息和功能。然而，富客户端可提供更多好的特性。胖客户端通常是一个难以部署和更新的大型单体应用程序，而富客户端在体积上更为轻巧，并且是基于部署和更新相对容易的组件模型的。从历史上来看，胖客户端是特定于平台的;而当今的富客户端技术发挥了底层平台的强大功能，同时隐藏了底层平台的细节，从而允许开发人员将精力集中于任务而不是各种特殊平台的特殊细节。</p>
<p>相对于胖客户端，富客户端还具有更好的可伸缩性。传统上，胖客户端直接与数据库相连接。这样就限制了胖客户端的运行环境(防火墙可能会限制胖客户端与数据库之间的连接)，同时应用程序的可伸缩性(客户端与服务器之间的连接总数)也可能会受到数据库的限制。富客户端通常利用应用服务器，后者负责建立到数据库的连接。这种配置非常灵活(防火墙友好的)并且具有高度的可伸缩性。当然，技术中并没有必然限制胖客户端与应用服务器进行通信的东西，只不过在胖客户端技术流行的时候，应用服务器还没出现罢了。</p>
<p>没有规则规定富客户端应用程序必须是某台对应服务器的客户端。许多利用富客户端技术的组织正在构建健壮、可扩展、可更新、本地化的独立应用程序。同样，虽然富客户端通常利用应用服务器，但是并不存在要求必须这么做的规则或技术限制。没有理由说富客户端应用程序不能直接访问数据库。</p>
<p>富客户端技术代表了胖客户端与瘦客户端二者优势的结合:丰富的用户体验、高可伸缩性、平台独立，以及非常易于部署和更新。</p>
<p>Eclipse RCP是一项位于Eclipse平台核心的功能。大多数人想到Eclipse时，他们会想到Java集成开发环境(IDE)。如果您将Eclipse中关于IDE的内容剥去，剩下的就是一个提供基本工作台功能的核心，这些功能包括对可移动和可叠加的窗口组件(编辑器和视图)、菜单、工具栏、按钮、表格、树形结构等等的支持。这个核心功能就是Eclipse RCP。</p>
<p>Eclipse RCP为应用程序开发人员提供了:</p>
<p>·应用程序和特性的一致且本地的外观</p>
<p>·公共应用程序服务，例如窗口管理、更新管理、帮助和选择管理</p>
<p>·本地的外观，利用Windows、Mac OS X、Linux、Solaris、HP-UX、AIX和嵌入式设备上的实际平台窗口部件</p>
<p>·标准化的组件模型</p>
<p>·普及的可扩展性</p>
<p>·整合的更新机制</p>
<p>·顶级开发工具(Eclipse 软件开发包(SDK)是世界级的软件开发环境)</p>
<p>尽管使用这个术语事实上是不合适的，但Eclipse RCP仍可以被视为构建富客户端应用程序的中间件。它提供应用程序所需的基础设施，从而允许开发人员将精力集中于核心应用程序功能而不是细节。别再浪费时间了:立即使用Eclipse RCP吧。</p>
<p>组件</p>
<p>Eclipse RCP由许多组件构成，每个组件负责整个环境中相应部分的功能。事实上，Eclipse RCP几乎所有的部分都是由组件构成的;除了少量的引导代码，RCP的每一部分都是一个组件。在Eclipse世界中，组件更多时候是被称为插件(或者在OSGI词汇中被称为包裹)。术语“插件”表明了这项组件功能在某种程度上属于二级功能，或者它只是内置功能的一个附加物。但事实并非如此;Eclipse RCP对待所有的插件都是平等的，内置和定制插件之间并没有明确的概念界限。您创建的用于实现应用程序行为的插件可与构成Eclipse RCP的插件一起运行。</p>
<p>通常，富客户端应用程序的开发都是从单一插件开始的。在一个单独的插件中，您可以为您的应用程序定义整个用户界面、业务逻辑和对象模型。创建一个新的Eclipse RCP应用程序非常容易，您只需选择菜单项File&gt;New&gt;Project...、选择创建新的Plug-in Project(插件项目)、然后遵循出现的向导中的步骤。在向导的Content(内容)页面上，对于问题“Would you like to create a rich client application?(您是否希望建立一个富客户端应用程序?)”，记得选择“Yes(是)”。图1中显示的是向导的Templates(模板)页面;在这里我们选择创建“RCP application with a view(带有视图的RCP应用程序)”。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTM0MzEwNTQxNS0wLmpwZw==.jpg"><br />图1. New Plug-in Project向导的Templates页面</p>
<p>这将创建一个包含RCP应用程序所需部分的新插件，其中包括工作台(菜单栏和工具栏)设置和包含一个表格的单一视图(参见图2)。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTM0MzEwNDFYLTEuanBn.jpg"><br />图2. 向导创建了一个具有全部功能的RCP应用程序</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:26:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8a%9f%e8%83%bd/" title="功能">功能</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/%e5%ae%a2%e6%88%b7%e7%ab%af/" title="客户端">客户端</a>, <a href="https://www.iamivan.net/tag/%e6%8f%92%e4%bb%b6/" title="插件">插件</a>, <a href="https://www.iamivan.net/tag/eclipse/" title="eclipse">eclipse</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6/" title="组件">组件</a>, <a href="https://www.iamivan.net/tag/%e5%af%8c%e6%96%87%e6%9c%ac%e7%bc%96%e8%be%91%e5%99%a8/" title="富文本编辑器">富文本编辑器</a>, <a href="https://www.iamivan.net/tag/sdk%e6%9c%ac%e5%9c%b0%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e9%99%90%e5%88%b6/" title="sdk本地数据存储限制">sdk本地数据存储限制</a>, <a href="https://www.iamivan.net/tag/rcp/" title="rcp">rcp</a>, <a href="https://www.iamivan.net/tag/%e3%80%90rcp%e5%bc%80%e5%8f%91%e3%80%91%c2%a0/" title="【RCP开发】&nbsp;">【RCP开发】&nbsp;</a>, <a href="https://www.iamivan.net/tag/%e5%af%8c%e9%80%9a%e4%bf%a1/" title="富通信">富通信</a>, <a href="https://www.iamivan.net/tag/eclipse-rcp/" title="eclipse rcp">eclipse rcp</a>, <a href="https://www.iamivan.net/tag/eclipse%c2%a0rcp/" title="eclipse&nbsp;rcp">eclipse&nbsp;rcp</a>, <a href="https://www.iamivan.net/tag/%e5%af%8c%e5%ae%a2%e6%88%b7%e7%ab%af/" title="富客户端">富客户端</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Eclipse RCP：用于构建平台的平台的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdBRE4b.html" rel="bookmark">打车小秘B轮融资1500万美元 用于构建智能平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				和讯科技消息 4月27日,http://www.aliyun.com/zixun/aggregation/33325.html&quot;&gt;打车小秘日前完成B轮融资1500万美元,投资方为中国宽带产业基金.据悉,完成此番融资后,打车小秘将与北京市多家大型出租车公司达成战略合作,并争取协助交通委构建智能打车平台. 打车小秘为方面表示,在资本保障下,将发挥技术和经验优势积极与政府开展合作,迅速扩张占领司机和用户资源.目前积极与交通委等政府监管部门多次交涉并达成初步合作意向,欲在即将执行的打车电召平台的基			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myvm38p.html" rel="bookmark">如何基于Spark Streaming构建实时计算平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言 随着互联网技术的迅速发展,用户对于数据处理的时效性.准确性与稳定性要求越来越高,如何构建一个稳定易用并提供齐备的监控与预警功能的实时计算平台也成了很多公司一个很大的挑战. 自2015年携程实时计算平台搭建以来,经过两年多不断的技术演进,目前实时集群规模已达上百台,平台涵盖各个SBU与公共部门数百个实时应用,全年JStorm集群稳定性达到100%.目前实时平台主要基于JStorm与Spark Streaming构建而成,相信关注携程实时平台的朋友在去年已经看到一篇关于携程实时平台的分享:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5WJBBb.html" rel="bookmark">DockOne微信分享&lpar; 一零一）：构建容器服务平台（CaaS）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是DockOne微信分享( 一零一):构建容器服务平台(CaaS)[编者的话]容器技术作为这两年最令人瞩目的技术,在各个行业无论是互联网还是传统行业都得到广大的应用.作为致力于打造金融行业领先的平安云,于今年引进容器技术,研发平安云容器服务平台,吧容器技术应用到业务中,推动业务和技术快速发展.本次分享的核心内容即是从用户 痛点及特征分析想如何构建平安云容器平台.分为4个部分: 容器平台定位 容器平台设计 容器平台架构 容器平台设计技术 一.定位 用户 首先平安集团旗下的子公司包含了金融行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqwYzm.html" rel="bookmark">省时省事省力 巧用阿里ECS D1构建大数据处理平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着人们逐渐认识到 &quot;大数据&quot;的价值,互联网.电商到金融业.政企等各行业开始处理海量数据.如何低成本.敏捷高效地搭建大数据处理平台,成为影响大数据创新效率的关键.   为了让用户以最简便地方式享用阿里云全球云资源,在云端构建敏捷弹性.高可靠和高性价比的大数据平台,阿里云在云栖大会·成都峰会上正式推出了Hadoop/Spark场景专用的ECS存储优化型实例D1规格族,充分满足泛互联网行业.金融.电商.政企等行业等搭建大数据存储与计算分析平台的要求,真正意义上做到了&quot;省时省事省力			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkEv4b.html" rel="bookmark">李江涛：使用Sakai构建开放式教学平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是李江涛:使用Sakai构建开放式教学平台,8月29日,由澳信传媒IT168主办的2009年系统架构师大会在北京举行.在下午的教育行业架构设计专场技术沙龙上,来自北京邮电大学网络教育学院的专家团队以及华东师范大学的专家们一同分享了远程教育平台架构的相关实例.北京邮电大学网络教育学院运维总监李江涛老师带来了题目为&quot;使用Sakai构建开放式教学平台&quot;的演讲.     &quot;Sakai的开放性体现在其授权协议为ECL 2.0,与阿帕奇一致,因而在二次开发上更加方便.&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLglnkM.html" rel="bookmark">Clouder&mdash;构建企业级数据分析平台-墨羽&commat;袋鼠云</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Clouder-构建企业级数据分析平台 墨羽@袋鼠云 一.引言 这是在阿里云大学线下开班的clouder沙箱实验,本人小白,第一次接触阿里云的数加产品. 小白到什么程度,我是一个运营!运营!!运营!!! 我司运营也要考阿里云的ACP,(我们公司叫袋鼠云,提供大数据智能服务,插个广告= =)所以趁这个机会多接触下数加的产品,在阿里云大数据讲师@云骧的帮助下顺利完成本次实验,感谢! 二.实验介绍 目标 作为公司CDO(首席数据官),帮助公司搭建一个数据分析系统,监控当前业务运转情况,让CEO能够轻松			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVwyjz.html" rel="bookmark">ECI将美高森美DIGI-G4 OTN处理器用于Apollo分组光纤传输平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				据外媒报道,美高森美日前宣布,以色列光传输设备厂商ECI将使用其DIGI-G4 光传输网络(OTN)处理器,用于Apollo分组光纤传输平台. ECI是美高森美DIGI OTN处理器的长期客户. 美高森美表示,使用OTN处理器系列可以简化ECI设计人员的工作流程.节省成本.加快上市时间:此外还能使ECI工程师利用多个终端市场硬件配置的单一软件开发. 这种灵活性包括对核心.城域和数据中心互连网络中应用的10Gbps到400Gbps的安全分组传输的支持. 美高森美表示OTN处理器可以实现以下应用:密			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3Yxkgp.html" rel="bookmark">构建大数据分析平台：没有捷径</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				业界专家认为,随着企业越来越依赖于技术,CIO们应该重新定位自己与业务之间的关系. 通过创新.敏捷实践和IT内部划分等各种途径.为了实现这一点,相对于推动部门的转型,CIO们必须面对更为艰巨的挑战.他们需要向业务端显示自己在变革 方面的主导地位.但正如在近期于波士顿举行的大数据创新峰会上所显示的一样,在推动企业的数字化转型上,IT没有捷径可走. &quot;从总体上说,企业内部的IT组织最重要的任务就是防止故障的发生.&quot;在峰会中的一次讨论中,NBCUniversal Media LLC的分析技术			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2YOk3z.html" rel="bookmark">云适配签约中远海运特运 构建移动BPM平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				互联网变革时代,企业管理价值凸显,流程管理作为企业管理之本,被赋予了新的时代使命.日前,全球领先的企业级浏览器及HTML5解决方案供应商云适配宣布正式与中远海运CHINA COSCO SHIPPING旗下控股子公司--中远海运特种运输股份有限公司(以下简称:中远海运特运)签署移动信息化合作协议,云适配将利用自主研发的企业浏览器Enterplorer,为中远海运特运搭建移动BPM平台,助力其构建便捷高效的海洋运输通道和物流通道,打造综合竞争力最强的特种船公司. 作为世界500强企业,中国远洋海运集			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKE8Ap.html" rel="bookmark" class="title">分享一个PHP采集远程图片</a>
					<div>
						  &lt;?php  /*使用PHP实现采集远程图片功能.基本流程:    1.获取目标网站图片地址.    2.读取图片内容.    3.创建要保存图片的路径并命名图片名称.    4.写入图片内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyo1dz.html" rel="bookmark" class="title">asp判断函数一览及网页制作常用技&lpar;2&rpar;</a>
					<div>
						函数|网页 ASP网页制作技巧      1.获得系统时间:          &lt;%=now()%&gt;            2.取得来访用的IP:       &lt;%=request. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAWOXz.html" rel="bookmark" class="title">正则表达式简介（微软）--4&period;正则表达式语法</a>
					<div>
						微软|语法|正则 正则表达式语法 一个正则表达式就是由普通字符(例如字符 a 到 z)以及特殊字符(称为元字符)组成的文字模式.该模式描述在查找文字主体时待匹配的一个或多个字符串.正则表达式作为一个模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2eK7M.html" rel="bookmark" class="title">Vista高手进阶 全面熟悉BitLocker</a>
					<div>
						不同的用户对于Vista自然有着不同的需求,个人用户更多关心的是美伦美奂的Aero效果,而企业用户 更多关注的是Vista的安全性能,而Windows Enterprise Vista(企业版本)和W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2m5dM.html" rel="bookmark" class="title">基于BPEL的业务流程集成技术</a>
					<div>
						引言 基于WebService,采用SOA(Service Oriented Architecture)架构建立企业业务系统解决方案时,分析明晰企业的业务流程并以适合粒度定义出Web服务.当涉及到跨部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRYARz.html" rel="bookmark" class="title">金旭亮：如何选择你学的第一门编程语言？</a>
					<div>
						说明:这篇文章是专门针对大学低年级学生(和其他软件开发初学者)写的,如果你己经是研究生或本科高年级学生,请将这篇文章转发给你的师弟或师妹,希望这篇文章能够帮助他们少走弯路,顺利地迈入软件开发的大门;如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA2g0b.html" rel="bookmark" class="title">wifi管家领取wifi上网卡教程</a>
					<div>
						  在家的时候没觉得wifi有多重要,到了外面就觉得没流量伤不起了.现在跟小编一起来看看wifi管家怎么领取wifi上网卡吧,即使没有wifi也可以领wifi上网卡哦. 1)打开wifi管家,点击[我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b247mop.html" rel="bookmark" class="title">Windows XP系统主要进程的解析</a>
					<div>
						在XP系统正常运行的情况下,有非常多的系统进程支持着xp操作系统的运行,这些都是xp系统的主要进程,不过很多朋友并不了解进程是什么?进程是操作系统结构的基础;是一次程序的执行;是一个程序及其数据在处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjvOlb.html" rel="bookmark" class="title">Adapter 适配器模式（设计模式03）</a>
					<div>
						疑问: 在软件系统中,由于应用环境的变化,常常需要将&quot;一些现存的对象&quot;放在新的环境中应用,但是新环境要求的接口是这些现存对象所不满足的. 如何应对这种&quot;迁移的变化&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJXNep.html" rel="bookmark" class="title">monoTouch开发&lpar;1&rpar;：win7 &plus; vmware下安装mac os</a>
					<div>
						iPhone现在越来越火爆了,很多原本在PC上的互联网应用都纷纷推出了iPhone客户端(比如携程,新浪微博),iPhone的最佳开发环境是mac OS + iphone真机,一般情况下这个有点难满足 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NN37z.html" rel="bookmark" class="title">库-libstagefright&period;so 移植问题</a>
					<div>
						问题描述 libstagefright.so 移植问题 系统:android4.4修改目的:在录像中添加时间水印 修改目录:frameworks/av/media/libstagefight/came ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwXnAM.html" rel="bookmark" class="title">asp&period;net错误解决：Unable to Validate Data in ASP&period;NET website</a>
					<div>
						原文:http://www.codeproject.com/Articles/43637/Weird-Error-Unable-to-Validate-Data-in-ASP-NET-web Have ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKVrVb.html" rel="bookmark" class="title">一步步构建iOS路由</a>
					<div>
						接上一篇移动端路由层设计 为啥要说iOS路由呢? 路由层其实在逻辑上的设计都是一样的,关于对界面跳转的实现部分却与Android平台和iOS平台上的导航机制有着非常紧密的关系,Android操作系统有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgnE6b.html" rel="bookmark" class="title">这一年----On The Way</a>
					<div>
						这一年做过的项目 ITOO 10-31考试系统 综合安防系统集成管理平台 这一年的生活 到年底的计划 考试 看书 技术 最后的总结      其实每次写总结,首先都要感叹一把,时间过的真的是太快了,当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJARVvp.html" rel="bookmark" class="title">《C&plus;&plus; 黑客编程揭秘与防范（第2版）》&mdash;&mdash;6&period;3 PE结构的3种地址</a>
					<div>
						6.3 PE结构的3种地址 C++ 黑客编程揭秘与防范(第2版) 在上一章中用OD调试器调试程序时看到的地址与本章使用C32Asm以十六进制形式查看程序时的地址形式有所差异.程序在内存中与在文件中有着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRyyap.html" rel="bookmark" class="title">步步学ACTIVEX网页控件开发</a>
					<div>
						转载自IT168 [ http://www.it168.com/ ]   第1页:创建ActiveX控件   本文将首先介绍如何使用Visual Studio开发一个简单的ActiveX控件,然后介绍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5my6M.html" rel="bookmark" class="title">html&plus;css-td里的div置顶css中如何表示</a>
					<div>
						问题描述 td里的div置顶css中如何表示 html中的td里的div置顶,用css中怎么写(代码分离,不要在html中写)? 解决方案 http://blog.sina.com.cn/s/blog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7AGNp.html" rel="bookmark" class="title">MAC高效软件必备-落雨</a>
					<div>
						更新时间:2017年09月19日23:45:29 使用MAC有一年多,最想说的莫过于如何打造一个高效的使用Mac的体验. 1. MAC任务栏管理,窗口切换 1. Mac任务栏管理(类似于Windows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Rj78z.html" rel="bookmark" class="title">曾经拒绝马云的实习生 他说要开启云工作时代</a>
					<div>
						►导语 在传统的思维中,一家公司要有办公场地,许多的员工,才能正常运营. 但是随着互联网的兴起,现在只要凑齐三五人的团体,无论你们身在何方,或相识与否,你们都可以通过互联网远程办公,去创业.工作.获取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB6glz.html" rel="bookmark" class="title">MySQL &CenterDot; 特性分析 &CenterDot; 优化器 MRR &amp;amp&semi; BKA</a>
					<div>
						上一篇文章咱们对 ICP 进行了一次全面的分析,本篇文章小编继续为大家分析优化器的另外两个选项: MRR &amp; batched_key_access(BKA) ,分析一下他们的作用.原理.相互关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwPY6M.html" rel="bookmark" class="title">一步一步写算法（之快速排序）</a>
					<div>
						原文:一步一步写算法(之快速排序) [ 声明:版权所有,欢迎转载,请勿用于商业用途.  联系信箱:feixiaoxing @163.com]     快速排序是编程中经常使用到的一种排序方法.可是很多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7rV2z.html" rel="bookmark" class="title">中国移动游戏业务三年演进策略</a>
					<div>
						12月9日下午举行的&quot;2009(第三届)移动互联网研讨会&quot;上,&quot;江苏移动游戏产品基地主任助理&quot;端木文琳表示,截至目前,中国移动已经有267家正式签约的游戏业务合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXomlb.html" rel="bookmark" class="title">EBay前CEO确认将竞选加州州长</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 北京时间9月22日晚间消息,据国外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKqKqp.html" rel="bookmark" class="title">用 JavaScript 检测 CPU 占比和内存泄露</a>
					<div>
						作者:玉伯   最近在项目中碰到 IE6-7 下的内存泄露,通过 Drip 能探测出来,问题也解决了.最近小组成员同时有在做前端质量工具,通过性能检测,可以排查出一些耗时较长的代码,但对内存泄露想不到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBVXBz.html" rel="bookmark" class="title">久邦数码网站内容被指侵权</a>
					<div>
						本报记者 吕茵 发自广州 从2005年到现在,广州花季文化传播有限公司(下称&quot;花季文学&quot;)与久邦数码(3G门户为其主办网站)的小说版权侵权诉讼案如同马拉松赛跑,已持续8年之久. & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQj0mKM.html" rel="bookmark" class="title">万达与携程携手可缓解资金压力</a>
					<div>
						自中粮开发三亚国际休闲度假岛.中坤筹划赴冰岛租地开发旅游项目后,另一家商业地产与度假.文化产业开发商万达也宣布,将和在线旅游龙头携程一起,共同开发中国最大的旅游投资项目吉林长白山国际度假区.业内人士称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Gqaop.html" rel="bookmark" class="title">易语言基础教程之简单代码的编写&lowbar;易语言</a>
					<div>
						要想使自己做的程序运行起来,就需要编写代码,下面我就以一个简单的程序为例,讲解一下代码编写过程 代码编写过程 我制作的小程序的功能就是当我点击点击按钮是,界面会出现&quot;追梦小达人&quot;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkQ3KM.html" rel="bookmark" class="title">百度月底将发新品 无限量邮箱或即时通讯工具&quest;</a>
					<div>
						         百度将在本月底推出一款新产品,但相关百度内部人士未透露具体细节,仅称这将是一款&quot;富有人性化&quot;的产品,并表示此款产品和目前争论比较多的产品无关,即不会是谣传的百度拼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvXKoM.html" rel="bookmark" class="title">对于消纳问题 光伏领跑者有话说</a>
					<div>
						2015年1月,发改委等八部门发布&lt;能效领跑者制度实施方案&gt;.&quot;能效领跑者&quot;定义为同类可比范围内,能源利用效率最高的产品.企业或单位.国家鼓励能效&quot;领跑者&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlryrp.html" rel="bookmark" class="title">lucene建索引</a>
					<div>
						问题描述 org.apache.lucene.store.LockObtainFailedException:Lockobtaintimedout:NativeFSLock@D:lgindex_sec ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
